CURLOPT_TRAILERDATA(3)

NAME
CURLOPT_TRAILERDATA - pointer passed to trailing headers callback

SYNOPSIS
#include <curl.h>
CURLcode curl_easy_setopt(CURL *handle, CURLOPT_TRAILERDATA, void *userdata);

DESCRIPTION
Data pointer to be passed to the HTTP trailer callback function.

DEFAULT
NULL

PROTOCOLS
This functionality affects http only

EXAMPLE
struct MyData {
  void *custom;
};
int main(void)
{
  CURL *curl = curl_easy_init();
  if(curl) {
    struct MyData data;
    curl_easy_setopt(curl, CURLOPT_TRAILERDATA, &data);
  }
}

AVAILABILITY
Added in curl 7.64.0

RETURN VALUE
Returns CURLE_OK.

SEE ALSO
CURLOPT_TRAILERFUNCTION(3), CURLOPT_WRITEFUNCTION(3)